Bug 1047174 - [abrt] libreoffice-core-4.1.3.2-4.fc19: Window::ImplGetFirstOverlapWindow: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] libreoffice-core-4.1.3.2-4.fc19: Window::ImplGetFirstOverlapWindow: Pr...
Keywords:
Status: CLOSED DUPLICATE of bug 1096486
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f72aa7bbb659a289eb55007a585...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-29 19:52 UTC by Dj YB
Modified: 2014-05-12 09:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-08 15:23:55 UTC


Attachments (Terms of Use)
File: backtrace (49.38 KB, text/plain)
2013-12-29 19:52 UTC, Dj YB
no flags Details
File: cgroup (140 bytes, text/plain)
2013-12-29 19:52 UTC, Dj YB
no flags Details
File: core_backtrace (20.06 KB, text/plain)
2013-12-29 19:52 UTC, Dj YB
no flags Details
File: dso_list (25.95 KB, text/plain)
2013-12-29 19:52 UTC, Dj YB
no flags Details
File: environ (2.20 KB, text/plain)
2013-12-29 19:52 UTC, Dj YB
no flags Details
File: exploitable (82 bytes, text/plain)
2013-12-29 19:52 UTC, Dj YB
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-29 19:52 UTC, Dj YB
no flags Details
File: maps (122.19 KB, text/plain)
2013-12-29 19:53 UTC, Dj YB
no flags Details
File: open_fds (1.02 KB, text/plain)
2013-12-29 19:53 UTC, Dj YB
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-12-29 19:53 UTC, Dj YB
no flags Details
File: var_log_messages (355 bytes, text/plain)
2013-12-29 19:53 UTC, Dj YB
no flags Details

Description Dj YB 2013-12-29 19:52:35 UTC
Description of problem:
it happened while trying to draw something

Version-Release number of selected component:
libreoffice-core-4.1.3.2-4.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: Window::ImplGetFirstOverlapWindow
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.8-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Window::ImplGetFirstOverlapWindow at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/window/window2.cxx:1326
 #1 Dialog::GrabFocusToFirstControl at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/window/dialog.cxx:1130
 #2 GraphCtrl::KeyInput at /usr/src/debug/libreoffice-4.1.3.2/svx/source/dialog/graphctl.cxx:322
 #3 ImplHandleKey at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/window/winproc.cxx:1099
 #4 ImplWindowFrameProc at /usr/src/debug/libreoffice-4.1.3.2/vcl/source/window/winproc.cxx:2471
 #5 CallCallback at /usr/src/debug/libreoffice-4.1.3.2/vcl/inc/salframe.hxx:243
 #6 X11SalFrame::HandleKeyEvent at /usr/src/debug/libreoffice-4.1.3.2/vcl/unx/generic/window/salframe.cxx:3304
 #7 X11SalFrame::Dispatch at /usr/src/debug/libreoffice-4.1.3.2/vcl/unx/generic/window/salframe.cxx:3960
 #8 SalKDEDisplay::checkDirectInputEvent at /usr/src/debug/libreoffice-4.1.3.2/vcl/unx/kde4/KDESalDisplay.cxx:80
 #9 SalKDEDisplay::Yield at /usr/src/debug/libreoffice-4.1.3.2/vcl/unx/kde4/KDESalDisplay.cxx:60

Comment 1 Dj YB 2013-12-29 19:52:44 UTC
Created attachment 843158 [details]
File: backtrace

Comment 2 Dj YB 2013-12-29 19:52:46 UTC
Created attachment 843159 [details]
File: cgroup

Comment 3 Dj YB 2013-12-29 19:52:48 UTC
Created attachment 843160 [details]
File: core_backtrace

Comment 4 Dj YB 2013-12-29 19:52:52 UTC
Created attachment 843161 [details]
File: dso_list

Comment 5 Dj YB 2013-12-29 19:52:54 UTC
Created attachment 843162 [details]
File: environ

Comment 6 Dj YB 2013-12-29 19:52:56 UTC
Created attachment 843163 [details]
File: exploitable

Comment 7 Dj YB 2013-12-29 19:52:58 UTC
Created attachment 843164 [details]
File: limits

Comment 8 Dj YB 2013-12-29 19:53:03 UTC
Created attachment 843165 [details]
File: maps

Comment 9 Dj YB 2013-12-29 19:53:05 UTC
Created attachment 843166 [details]
File: open_fds

Comment 10 Dj YB 2013-12-29 19:53:07 UTC
Created attachment 843167 [details]
File: proc_pid_status

Comment 11 Dj YB 2013-12-29 19:53:11 UTC
Created attachment 843168 [details]
File: var_log_messages

Comment 12 David Tardon 2014-01-06 16:07:46 UTC
Is there a way to reproduce this crash?

Comment 13 Dj YB 2014-01-08 05:54:23 UTC
I did not try yet.
I will do that later.

Comment 14 Caolan McNamara 2014-01-08 13:49:36 UTC
Based on the backtrace there is apparently a GraphCtrl which isn't in a dialog which blows up when e.g. ESC is pressed. Unfortunately we can't tell which one is it. Committed a plausible fix to master HEAD as http://cgit.freedesktop.org/libreoffice/core/commit/?id=794f5af121906668870a58700aed25b660381240 but I'd need a reproducer before trying to backport to f19/f20.

Comment 15 Dj YB 2014-01-08 15:02:53 UTC
I have tried again to draw for sometime, but it seems to work just fine...

Comment 16 Caolan McNamara 2014-01-08 15:23:55 UTC
ok, will go with closed->upstream on this one wrt fix committed upstream

Comment 17 Caolan McNamara 2014-05-12 09:05:54 UTC

*** This bug has been marked as a duplicate of bug 1096486 ***


Note You need to log in before you can comment on or make changes to this bug.